#1569 closed enhancement (fixed)

Add CRC checks to SD card driver

Reported by: Arnout Vandecappelle Owned by: Sebastian Huber
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: minor Keywords:
Cc: Blocked By:
Blocking:

Description

SD cards have CRC checks for commands and for data. These are currently set to 0 by the driver to disable CRC checking. Since I have unreliable SPI hardware, I do need the CRC checks. The following patch adds them.

The code for the CRC computation is taken from http://en.wikipedia.org/wiki/Computation_of_CRC

Attachments (2)

0001-c-src-libchip-i2c-spi-sd-card.c-added-CRC-checks.patch (6.1 KB) - added by Arnout Vandecappelle on Jun 17, 2010 at 6:43:28 AM.
Add CRC checks to SD card driver
0001-c-src-libchip-i2c-spi-sd-card.c-added-CRC-checks_v1.patch (6.1 KB) - added by Arnout Vandecappelle on Jun 17, 2010 at 8:48:16 AM.
Add CRC checks to SD card driver

Download all attachments as: .zip

Change History (8)

Changed on Jun 17, 2010 at 6:43:28 AM by Arnout Vandecappelle

Add CRC checks to SD card driver

Changed on Jun 17, 2010 at 8:48:16 AM by Arnout Vandecappelle

Add CRC checks to SD card driver

comment:1 Changed on Jun 17, 2010 at 8:48:16 AM by Arnout Vandecappelle

attachments.isobsolete: 01

comment:2 Changed on Jun 17, 2010 at 1:09:39 PM by Joel Sherrill

Owner: changed from Joel Sherrill to Sebastian Huber

comment:3 Changed on Jun 21, 2010 at 1:37:26 PM by Sebastian Huber

Resolution: fixed
Status: newclosed

Fixed on CVS head.

comment:4 Changed on Jun 21, 2010 at 1:47:54 PM by Arnout Vandecappelle

blocked: 1576

comment:5 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:6 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.